/**
 * Funes especficas do jogo de Pquer fechado
 * @author FLevy
 * @date 11/02/2012
 */
 
 /**
 * (Mtodo chamado pelo Applet) Pergunta se o usurio quer trocar cartas.
 */
function perguntarTrocarCartas() {
	jQuery("img[id^=carta_inferior]").removeClass("carta_selecionavel_selecionada");
	jQuery("img[id^=carta_inferior]").addClass("carta_selecionavel");
	
	jQuery("img[id^=carta_inferior]").unbind("click");
	jQuery("img[id^=carta_inferior]").click(function() {
		if (jQuery(this).hasClass("carta_selecionavel_selecionada")) {
			// deselecionando
			jQuery(this).removeClass("carta_selecionavel_selecionada").addClass("carta_selecionavel");
		} else {
			if (jQuery(".carta_selecionavel_selecionada").size() < 4) {
				// Ainda pode adicionar essa  lista
				jQuery(this).removeClass("carta_selecionavel").addClass("carta_selecionavel_selecionada");
			} else {
				// No faz nada
			}
		}
	});
	
	jQuery("input[id^='botao_']").hide();
	jQuery("input[id^='botao_']").unbind("click");
	
	jQuery("#botao_confirmar").click(function() {
		jQuery("#opcoes_botoes").hide();
		jQuery("img[id^=carta_inferior]").unbind("click");
		jQuery("img[id^=carta_inferior]").removeClass("carta_selecionavel");
		
		var elementos = "";
		jQuery(".carta_selecionavel_selecionada").each(function() {
			// pegando somente o naipe e o valor da carta
			elementos += jQuery(this).attr("name") + "|";
		});
		document.getElementById("applet_poquer").getInterfaceHTML().trocarCartas(elementos);
	});
	jQuery("#botao_confirmar").show();
	
	jQuery("#opcoes_botoes").fadeIn();
	log("#cartas_inferior", "Selecione as cartas que deseja trocar (no mximo 4).", "top");
	
}

/**
 * (Mtodo chamado pelo Applet) Avisa que o computador trocou cartas.
 * @param quantidade A quantidade de cartas trocadas.
 */
function avisarComputadorTrocouCartas(quantidade) {
	quantidade = parseInt(quantidade);
	
	if (quantidade == 0) {
		log("#cartas_superior", "O computador no trocou cartas.", "bottom");
		
		sleep(TEMPO_ESPERA);
	} else {
		// fazendo a animao
		jQuery("img[id^='carta_superior']").slice(0, quantidade).addClass("carta_trocada").animate({bottom: "-=20"}, "slow", function() {
				// fazendo a animao de recebimento
				jQuery(this).delay(TEMPO_ESPERA).animate({bottom: "+=20"}, "slow", function() {
					jQuery(this).removeClass("carta_trocada");
					if (jQuery(".carta_trocada").size() == 0) {
						// S quando a ltima carta teve a classe removida  feito o sleep
						sleep(TEMPO_ESPERA);
					}
				});
		});
		
		if (quantidade == 1) log("#cartas_superior", "O computador trocou 1 carta.", "bottom");
		else log("#cartas_superior", "O computador trocou " + quantidade + " cartas.", "bottom");
	}
}

/**
 * (Mtodo chamado pelo Applet) Avisa as novas cartas que o jogador recebeu ao troc-las.
 * @param cartas As cartas recebidas.
 */
function avisarNovasCartas(cartas) {
	var vetorCartas = cartas.split("|");
	
	if (jQuery(".carta_selecionavel_selecionada").size() != vetorCartas.length) {
		erro("Nmero de cartas entregues  diferente do nmero de cartas selecionadas");
	}
	
	var i = 0;
	jQuery(".carta_selecionavel_selecionada").animate({opacity: '0'}, 500, function() {
		jQuery(this).removeClass("carta_selecionavel_selecionada").addClass("carta_trocada")
			.css({"top": "-20px"}).each(function() {
				jQuery(this).attr("src", CARTAS[vetorCartas[i]].src).attr("name", vetorCartas[i]).delay(TEMPO_FLIP)
					.animate({opacity: '1'}, 500, function() {
						jQuery(this).delay(TEMPO_ESPERA).animate({top: "0"}, "slow", function() {
							jQuery(this).removeClass("carta_trocada");
							jQuery(this).css("top", "");
							if (jQuery(".carta_trocada").size() == 0) {
								// S quando a ltima carta teve a classe removida  feito o sleep
								sleep(TEMPO_ESPERA);
							}
						});
					});
			i++;
		});
	});
}