package br.usp.poli.java.ihc;

/*
Copyright (C) 2012 Fbio Levy Siqueira (levy.siqueira@gmail.com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

import br.usp.poli.java.Jogador;

/**
 * Interface que determina o que um jogador para a interface grfica
 * deve possuir, alm de um Jogador.
 * @author FLevy
 * @see JogadorDePoquerFechadoIHC
 * @see JogadorDeTexasHoldemIHC
 */
public interface JogadorIHC extends Jogador {
	/**
	 * Avisa ao jogador que o jogo acabou e se ele foi o vencedor.
	 * @param vencedor Se ele venceu o jogo.
	 */
	public void avisarFimDoJogo(boolean vencedor);
	
	/**
	 * Interrompe a partida, quando possvel.
	 */
	public void interromper();
}
