package br.usp.poli.java.ihc;

/*
Copyright (C) 2012 Fbio Levy Siqueira (levy.siqueira@gmail.com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

import br.usp.poli.java.JogadorDeTexasHoldem;

/**
 * Representa uma implementao de Jogo de Texas Hold'em para ser usada pela
 * interface grfica.<br />
 * Quando o usurio desejar, o jogo ser iniciado, chamando o mtodo iniciar
 * passando os jogadores criados.<br />
 * A classe que implementa esta interface <b>precisa ter</b> um construtor
 * sem parmetros.
 * 
 * @author FLevy
 */
public interface JogoDeTexasHoldem extends Jogo {
	/**
	 * Inicia um Jogo com dois jogadores.
	 * @param j1 O primeiro Jogador.
	 * @param j2 O segundo Jogador.
	 * @return O vencedor do jogo.
	 */
	public JogadorDeTexasHoldem iniciar(JogadorDeTexasHoldem j1, JogadorDeTexasHoldem j2);
}
