package br.usp.poli.java.ihc.applet;

/*
Copyright (C) 2012 Fbio Levy Siqueira (levy.siqueira@gmail.com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

import br.usp.poli.java.Carta;
import br.usp.poli.java.JogadorDeTexasHoldem;
import br.usp.poli.java.ihc.JogadorDeTexasHoldemIHC;

/**
 * Classe que encapsula um jogador de Texas Hold'em controlado
 * pelo computador. 
 * @author FLevy
 */
public class JogadorComputadorDeTexasHoldem extends JogadorComputador implements JogadorDeTexasHoldemIHC {

	public JogadorComputadorDeTexasHoldem(InterfaceHTML interfaceHTML,
			JogadorDeTexasHoldem interno) {
		super(interfaceHTML, interno);
	}

	public void flop(Carta flop1, Carta flop2, Carta flop3) {
		((JogadorDeTexasHoldem) this.jogador).flop(flop1, flop2, flop3);
		
	}

	public void turn(Carta turn) {
		((JogadorDeTexasHoldem) this.jogador).turn(turn);
	}

	public void river(Carta river) {
		((JogadorDeTexasHoldem) this.jogador).river(river);
	}

}
