package br.usp.poli.java.ihc.applet;

/*
Copyright (C) 2012 Fbio Levy Siqueira (levy.siqueira@gmail.com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

import br.usp.poli.java.Carta;
import br.usp.poli.java.ihc.JogadorDeTexasHoldemIHC;
import br.usp.poli.java.ihc.JogoInterrompido;

/**
 * Jogador de texas hold'em controlado pelo usurio.
 * @author FLevy
 */
public class JogadorHumanoDeTexasHoldem extends JogadorHumano implements JogadorDeTexasHoldemIHC {
	public JogadorHumanoDeTexasHoldem(String nome, InterfaceHTML interfaceHTML) {
		super(nome, interfaceHTML);
	}
	
	public void flop(Carta flop1, Carta flop2, Carta flop3) {
		if (interromper) throw new JogoInterrompido();
		
		interfaceHTML.avisarFlop(flop1, flop2, flop3);
	}

	public void turn(Carta turn) {
		if (interromper) throw new JogoInterrompido();
		
		interfaceHTML.avisarTurn(turn);
	}

	public void river(Carta river) {
		if (interromper) throw new JogoInterrompido();
		
		interfaceHTML.avisarRiver(river);		
	}
}
