package br.usp.poli.java.ihc.applet;

/*
Copyright (C) 2012 Fbio Levy Siqueira (levy.siqueira@gmail.com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

import java.util.ArrayList;

import br.usp.poli.java.Carta;
import br.usp.poli.java.ihc.JogadorIHC;

/**
 * Representa um Jogador que aparecer na IHC.
 * @author FLevy
 */
abstract class JogadorIHCImpl implements JogadorIHC {
	protected final static int TEMPO_ESPERA = 500;
	
	protected boolean interromper = false;
	protected InterfaceHTML interfaceHTML;
	protected String nome;
	protected ArrayList<Carta> mao;
	
	public JogadorIHCImpl(String nome, InterfaceHTML interfaceHTML) {
		this.interfaceHTML = interfaceHTML;
		this.nome = nome;
	}
	
	public String getNome() {
		return nome;
	}
	
	public void interromper() {
		interromper = true;
	}
}
